Subject: bug#66604: [PATCH] Gud LLDB completions

From: Mattias Engdegård <[email-masked]>
Date: Fri, 20 Oct 2023 12:42:19 +0200

20 okt. 2023 kl. 08.04 skrev Gerd Möllmann <[email-masked]>:

> I don't seem to be able to reproduce this with emacs -Q.
> 
> Here is what I do:
> 
>  cd emacs/master/src
>  ,/emacs -Q # this is a build with -O0 -g
>  M-x lldb RET emacs RET

What I did:

  DIR/emacs -Q   # built with -O2 -g
  M-x lldb RET lldb -p ‹PID› RET
  b redisplay_internal
  c

and the oddities show up when it stops.

This is on an x86-64 Mac (running 11.7 which is the newest supported version).

I prefer not building newer tools because the machine is a bit short on both cpu and disk space, and LLVM builds are known for their voracious appetite for both commodities.

> - There is a problem with the code in master if completion candidates
> contain ')', like function names.  I have fixed that here.

Good to hear!